%define version 0.2
%define release alt3.pre2
%setup_python_module xmpp

Summary: XMPP-IM-compliant library for jabber instant messenging.
Name: %{packagename}
Version: %{version}
Release: %{release}
Source0: %{modulename}py-%{version}-pre2.tar.gz
Patch0: xmpp-0.2-pre2-locale.patch
License: GPL
Group: Development/Python
Prefix: %{_prefix}
BuildArchitectures: noarch
Vendor: Alexey Nezhdanov <snakeru@users.sourceforge.net>
Url: http://xmpppy.sourceforge.net/

%description
This library provides functionality for writing xmpp-compliant
jabber clients and/or components.

It was initially designed as rework of jabberpy library but
lately become separate product.

Unlike jabberpy it is distributed under the terms of GPL.

%prep
%setup  -q -n %{modulename}py-%version-pre2
%patch0 -p1

%build
%__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES
install -d $RPM_BUILD_ROOT/%python_tooldir $RPM_BUILD_ROOT/usr/bin/
install -m 755 docs/examples/xsend.py $RPM_BUILD_ROOT/%python_tooldir/jabber_send.py
ln -sf %python_tooldir/jabber_send.py $RPM_BUILD_ROOT/usr/bin/jabber_send

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc docs/*
%python_tooldir/*
/usr/bin/*

%changelog
* Mon Mar 07 2005 Andrey Orlov <cray@altlinux.ru> 0.2-alt3.pre2
- xsend installed in tooldir as jabber_send

* Sun Mar 06 2005 Andrey Orlov <cray@altlinux.ru> 0.2-alt2.pre2
- initial release

